Tropical Storm Hilary, which was downgraded from a hurricane on Sunday, is rapidly bearing down on the region, with the first rain arriving across Southern California and conditions expected to worsen throughout the day.

The storm is expected to hit Mexico south of Tijuana around 11 a.m. and then enter the U.S. east of San Diego. Officials say the biggest impacts will be in desert and mountain areas, with flash floods the biggest concern. But Los Angeles County could also see widespread flooding Sunday afternoon and evening as the worst of the storm moves through.

Hilary's eye is several miles south of San Diego and expected to reach there by 3 to 5 p.m., then move northeast, reaching the border of Los Angeles and San Bernardino counties by 9 or 10 p.m. It made landfall in Baja Mexico on Sunday around 11 a.m.

“We expect widespread flooding,” said Joe Sirard, meteorologist at the National Weather Service in Oxnard. “When I say widespread flooding, I mean, like, potentially countywide flooding.”

The National Hurricane Center is predicting 2 to 4 inches of rain with 4 to 6 inches in the mountains, he said.

“It's a large-scale storm system — we're going to be getting moderate to heavy rains all afternoon and evening, likely with flooding rains in many areas,” he said. “The rains are really not going to let up until late tonight, Monday morning.”

On Sunday, FEMA Administrator Deanne Criswell told ABC: “People really need to take this storm in California serious... It’s going to really be potentially devastating for them in these desert areas. “

Dan Berc, a meteorologist with the National Weather Service Las Vegas, warned of “major to historic” flood impacts in many areas including in parts of San Bernardino and Inyo counties.

“Even with the small amount of rain we’ve had over the period of time, we’re raining over such a large area that it’s all draining into the same basin,” he said. “Half an inch over the entire area is just as much water as 2 inches over a very small area.”

A high wind warning has also been issued for much of the area, which will continue into Monday.

There’s also a small chance of tornado, and a chance of strong wind speed exceeding 58 miles per hour, in much of San Bernardino County from Sunday afternoon through early Monday morning, Berc said.

“We’re not going to see an EF5 tornado running down the street,” he said. “But we can get these little spin-up tornadoes and they can do some damage locally.”

Parts of San Bernardino and Inyo counties, including Death Valley, were expected to see torrential rain overnight from the storm's early bands. Rain is expected to worsen through Sunday morning, according to the National Weather Service. Baja California was pounded Saturday as the storm pushed northward.

"There's a lot of roads that are now rivers in Baja California," said Trevor Boucher, lead meteorologist at the National Weather Service in Las Vegas, during a Saturday night briefing.

Boucher added that forecasters expect similar conditions in the desert regions of Inyo and San Bernardino County and parts of Nevada and Arizona. Some areas, such as Bullhead City, Ariz., and Needles and Barstow, could see gusts of more than 50 mph.

Gov. Gavin Newsom declared a state of emergency for the region and said that thousands of first responders were in place as the storm moved in. L.A.'s mayor urged residents to stay safe.

“This is an unprecedented weather event,” warned Los Angeles Mayor Karen Bass. “Right now again, it is critical that Angelenos stay safe and stay home unless otherwise directed by safety officials. Avoid unnecessary travel. If you do not need to be on the road, please don’t get in your car. Make sure your emergency kit and essential devices are on hand and ensure that all of your devices are charged in the event of life-threatening emergency.”

National Weather Service forecasters' warning of lashing winds, intense rain and harrowing conditions along the beaches prompted Los Angeles County officials to advise people on Catalina Island, particularly those with medical conditions or those who might be in need of help during a natural disaster, to evacuate on the Catalina Express. The county noted there could be prolonged utility outages on the island.

Flood concerns also prompted San Bernardino County sheriff's officials to issue an evacuation order for the Oak Glen, Forest Falls, Mountain Home Village, Angelus Oaks and Northeast Yucaipa regions Saturday morning. Orange County issued a voluntary evacuation alert in the Bond fire burn area.

The storm has prompted officials to cancel events and issue dire alerts, particularly as the system moves across southwestern California on Sunday and Monday. The National Weather Service issued a tropical storm warning at 8 p.m. Friday for the area from the California-Mexico border to Point Mugu and for Catalina Island.

“This is actually the first time that tropical storm watches have been issued on the West Coast of the United States," said Elizabeth Adams, a meteorologist for the National Weather Service in San Diego. Typically, when a tropical storm makes its way to the southwestern U.S., it has severely dissipated, weakening to a depression or storm remnants, she said. The only tropical cyclone to actually make landfall in Southern California was in 1939.

Hilary, downgraded to a Category 1 hurricane Saturday night, had sped up and shifted slightly eastward in its track. It was a Category 4 on Friday and fell to a Category 2 earlier Saturday.

"The system has gained some speed, and it's going to be moving through a little bit on the quicker side. By the time we get to Monday afternoon or so we're expecting most of the precipitation to have moved out of the area aside from a few lingering showers," said Ariel Cohen, the meteorologist in charge at the National Weather Service in Oxnard.

This could cut down on rainfall totals in some areas, Cohen said, "but there's so much moisture pushing into the area that we're still looking at the potential for flooding."

Across Southern California on Saturday, residents rushed to stock up on household essentials like water— leaving aisles in grocery stores bare — and sandbags to protect their homes from flooding.

People load cases of bottled water Saturday at a Costco warehouse in Hawthorne on Saturday. (Patrick T. Fallon / AFP/Getty Images)

“Please prepare, please take this seriously,” said Los Angeles Mayor Karen Bass. “We are not used to hurricane preparation, but it’s another example of climate change. So we have to be prepared for climate events that we are not used to. Stay safe.”

As the system moves through, parts of Los Angeles County could see half an inch to three-quarters of an inch of rain per hour. Forecasters are also predicting heavy rain in Orange County, up to 3 inches in some areas. But the mountains and deserts are widely expected to be the most impacted, with more than 5 inches of rainfall possible.

“It's so strong right now, and it is going to … make a beeline for Southern California,” said Daniel Swain, a UCLA climate scientist. “It simply isn't going to have time to fall apart nearly as much as these systems usually do before they reach California."

A tropical storm watch is also in effect for almost all of southwestern California, from the Mexico border to Point Mugu, including eastern deserts and Catalina Island, which the National Hurricane Center said is a first for this area. The watch indicates that tropical storm conditions are possible — meaning more than 39 mph sustained winds — within 48 hours, according to the hurricane center.

Forecasters expect sustained winds whipping through the area at 35 to 45 mph. The highest gusts — up to 50 or 60 mph — are expected in the mountains and deserts. Officials warn residents to stay away from tall objects, such as trees or power lines, which could get knocked down during severe winds, and to secure outdoor furniture.

When the eye of the storm arrives Sunday, San Diego and Orange counties can expect 40 to 60 mph winds, the National Weather Service said. Gusts in excess of 80 mph could hit places such as Joshua Tree National Park.

Those winds also could spur tornadoes — which could be particularly hard to see as they would be embedded with rain — with probable threats Saturday night through Sunday, Adams said.

"The biggest time and place that we see that tornado threat is associated with rain bands out ahead of the system,” Adams said. She said tornadoes spawned by tropical storms often strike very quickly but are usually short-lived.

Read more: Full coverage of Hilary

Although high winds are fueling the unusual tropical storm conditions, officials continue to emphasize that rain remains the greatest concern with this storm.

Children play on the beach Saturday at Playa Blanca Beach, south of Ensenada, Mexico. (Wally Skalij / Los Angeles Times)

A high-risk warning for flash flooding was issued for much of inland Southern California — from the San Bernardino Mountains through the Coachella Valley and down into Anza-Borrego Desert State Park. This is the first time in more than a decade that such a warning has been issued for the low deserts east of the Southern California mountains, areas that remain typically dry, especially in the summer.

"The majority of the flood-related deaths occur in these high-risk situations," National Hurricane Center Deputy Director Jamie Rhome said Saturday afternoon during a forecast. "So if you're in this purple [high-risk] area, specifically, the Palm Springs area, you really, really need to take this seriously."

Some desert areas are expected to receive at least a year’s worth of rain during this storm, according to the National Weather Service.

Read more: How to prepare for Hurricane Hilary, the first tropical storm to hit L.A. in 84 years

"The entire axis of southeastern California deserts — extending from Imperial County all the way up into parts of Inyo County — are at risk of potentially very serious flash flooding," Swain said. "We're not just talking about normally dry washes running. We're talking about the type of flooding that will be life-threatening, that could severely disrupt or even destroy critical infrastructure, including roads and highways, leading to extended power outages or extended impossibility of travel in some areas."

Palm Springs and Yucca Valley both average between 4 and 5 inches of rainfall a year, but the forecast shows 4 to 7 inches falling between Saturday and Monday.

Read more: How to track Hurricane Hilary and get emergency alerts in Southern California

Death Valley and Joshua Tree national parks announced campgrounds closures from noon Saturday through at least Tuesday and preemptively shuttered several roadways.

"This has the potential to bring the single and most intense precipitation ever observed to some parts of the deserts in southeastern California, so don't take this lightly," Swain said. He advised desert residents to prepare for potentially impassable roads for an extended time.

The Navy announced late Friday that it will send many of its warships out of San Diego Bay on Saturday to make it easier to manage and secure vessels that need to stay in port when Hilary arrives.

Wallace Dugan, a 66-year-old member of the Quechuan tribe who was running errands a few miles west of Yuma, Ariz., on Friday, said his biggest concern is for senior citizens who, like him, live on the Fort Yuma Reservation.

“The only thing bad about it is the power lines,” he said recalling a storm last summer that knocked out electricity for a week and spurred elderly people living on the reservation to take refuge in cooled casinos with generator power. “It’s dangerous for the elders if the power goes out, so they call them at their houses and send them to the casino where they have generators.”

Read more: Hurricane Hilary forecast recalls infamous 1939 storm that killed scores of Californians

As soils become saturated and runoff accelerates, desert officials are warning residents to prepare for flooded roadways and closures, while across the region, crews are preparing for power outages and localized flooding. In the San Bernardino Mountains, significant flows are expected to surge beneath the Whitewater Bridge on the 10 Freeway, about five miles west of Palm Springs — a threat to the aging infrastructure.

Almost all of Southern California is facing a moderate flash flood risk, with the warning extending into the eastern Central Valley, parts of western Arizona and around Las Vegas.

Read more: Hurricane Hilary is bearing down on Southern California. What's your flood risk?

Some of the highest rainfall totals — from 6 to 10 inches — are possible along many east-facing desert slopes of the Riverside, San Bernardino and San Diego County mountains, Adams said.

In Los Angeles, officials spent Friday going to riverbeds to warn unhoused people about the coming storm. The city also plans to operate several local recreation centers this weekend to provide shelter, said officials.

Carol Parks, general manager of L.A.'s Emergency Management Department, warned of the risk of “potential or significant flooding” and said information about weather conditions “is changing very, very rapidly.”

Los Angeles County sheriff’s deputies have been patrolling the San Gabriel River since Thursday to warn those camped there of the impending storm and to offer shelter.

Capt. Geoffrey Deedrick, commander of the sheriff’s community partnerships bureau, said helicopters were broadcasting public service announcements and Homeless Outreach Service teams were working with staff from the Los Angeles Homeless Services Authority to contact people in the riverbed.

“We’re encountering a lot of people who have no idea something is coming,” Deedrick said.

Read more: The complete guide to storm safety preparedness

A flood watch is set to take effect along the coast from San Diego to Ventura counties, beginning as early as Saturday afternoon and lasting through Monday night. Inland counties such as Riverside, San Bernardino and Imperial also will have a flood watch in effect through Monday.

#HurricaneHillary just before the sun rose this morning. Hilary is currently a CAT 3, and is expected to still be a hurricane as it approches the west coast of the Baja California Peninsula, but is forecasted to weaken to a #TropicalStorm before it reaches #SoCal. pic.twitter.com/f558vlktnJ — NWS Los Angeles (@NWSLosAngeles) August 19, 2023

“If you’re in a vulnerable location for flooding, be ready — turn around, don’t drown,” Cohen, the meteorologist in Oxnard, said.

Officials advised residents in the storm’s path to monitor forecast updates and ensure they have multiple methods of receiving warnings, including wireless emergency alerts, weather apps and local TV, radio and news stations. Ahead of the storm, the Dodgers and Angels both pushed Sunday games up to play double-headers Saturday, and a list of postponed local concerts and events has been growing.

Amtrak has canceled some service along the iconic coastal rail route between San Diego and Los Angeles in expectation of this weekend's storm. The line, one of the busiest in the country, has been closed for most of the last year as crumbling bluffs and beach erosion threaten its stability.

Train 794 will be canceled between Los Angeles and San Diego on Saturday and Sunday, and Train 761 will be canceled between San Diego and Los Angeles on Sunday and Monday, officials said. The rail agency has warned that additional trains may be canceled as the storm makes landfall.

Amtrak officials said in a statement that while they remain "hopeful that the impacts of the tropical storm will be minimal," passengers should follow emergency alerts, heed evacuation warnings, and stay off the roads where possible.

Read more: Hurricane Hilary is headed toward L.A., San Diego. What to know and how to stay safe

The Los Angeles Unified School District, the nation's second-largest school system, is planning to keep schools open Monday, for now.

In a statement, the district said, "Our schools continue to be one of the safest places for students in the event of inclement weather. Families of Los Angeles Unified will receive important updates on operational changes or adjustments from their school directly."

Across L.A. County, there are 80 school systems and 1.3 million students in public schools. The county education office — which plays an important advisory role — took part in regional emergency preparedness meetings and started sending out storm updates Thursday.

“We advised the school districts to monitor the situation and plan for possible wind, debris, power outage, flooding and street closures and other damage that could happen because of Hurricane Hilary,” said county education office spokesperson Van Nguyen.

“Closely monitoring” the storm appeared to be the watchword for California school systems, including Poway Unified School District, Sweetwater Union High School District, San Marcos Unified and Grossmont Union High School District in San Diego County.

Read more: How climate scientists feel about seeing their dire predictions come true

Hurricane warning and watches are in effect for much of Baja California, as well as mainland Mexico, north of Guaymas. Forecasters are expecting Hilary to bring up to 6 inches of rain across the Baja California Peninsula through Sunday night, with isolated amounts up to 10 inches. Flash flooding remains a major concern.

Storm surge could produce coastal flooding along the Baja coast, accompanied by "large and destructive" waves, which the National Hurricane Center warned would be "life-threatening surf and rip current conditions."

Times staff writers Jeremy Childs, Laura J. Nelson, Connor Sheets, Keri Blakinger, Dakota Smith, Howard Blume, Doug Smith, Louis Sahagún, Faith E. Pinho and Salvador Hernandez contributed to this report. San Diego Union-Tribune staff writer Gary Robbins also contributed to this report.

Sign up for Essential California, your daily guide to news, views and life in the Golden State.

This story originally appeared in Los Angeles Times.